"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class BaseError extends Error {
    constructor(message, code, type) {
        super();
        this.message = message;
        this.code = code;
        this.type = type;
    }
    output() {
        const output = {
            code: this.code,
            error: undefined,
            type: this.type,
        };
        if (this.message) {
            output.error = this.message;
        }
        return output;
    }
}
exports.BaseError = BaseError;
//# sourceMappingURL=base-error.js.map