"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const errors_1 = require("../../errors");
const internal_error_1 = require("../../errors/internal-error");
exports.errorHandlingMiddleware = (err, req, res, next) => {
    const middlewareErrors = [
        errors_1.BadRequestError,
        errors_1.CustomError,
        errors_1.ForbiddenError,
        errors_1.NotFoundError,
        errors_1.UnauthorizedError,
        errors_1.ValidationError,
    ];
    if (middlewareErrors.some((middlewareError) => err instanceof middlewareError)) {
        res.status(err.code).send(err.output());
        return;
    }
    const internalError = new internal_error_1.InternalError(err);
    res.status(internalError.code).send(internalError.output());
};
//# sourceMappingURL=error-middleware.js.map